Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Jim Ramsay (lack)" <lack@g.o>
Subject: gentoo-x86 commit in x11-plugins/gkrellmss: gkrellmss-2.6-r1.ebuild gkrellmss-2.6.ebuild ChangeLog
Date: Mon, 28 Jul 2008 14:00:11 +0000
lack        08/07/28 14:00:11

  Modified:             gkrellmss-2.6-r1.ebuild gkrellmss-2.6.ebuild
                        ChangeLog
  Log:
  Added 'die' if you try to build without at least one of USE=alsa or USE=esd (Bug #233025)
  (Portage version: 2.2_rc3/cvs/Linux 2.6.23-gentoo-r5 i686)

Revision  Changes    Path
1.2                  x11-plugins/gkrellmss/gkrellmss-2.6-r1.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-plugins/gkrellmss/gkrellmss-2.6-r1.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-plugins/gkrellmss/gkrellmss-2.6-r1.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-plugins/gkrellmss/gkrellmss-2.6-r1.ebuild?r1=1.1&r2=1.2

Index: gkrellmss-2.6-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-plugins/gkrellmss/gkrellmss-2.6-r1.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- gkrellmss-2.6-r1.ebuild	11 Apr 2008 15:12:26 -0000	1.1
+++ gkrellmss-2.6-r1.ebuild	28 Jul 2008 14:00:10 -0000	1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-plugins/gkrellmss/gkrellmss-2.6-r1.ebuild,v 1.1 2008/04/11 15:12:26 lack Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-plugins/gkrellmss/gkrellmss-2.6-r1.ebuild,v 1.2 2008/07/28 14:00:10 lack Exp $
 
 inherit gkrellm-plugin
 
@@ -23,6 +23,12 @@
 PLUGIN_SO="src/gkrellmss.so"
 PLUGIN_DOCS="Themes"
 
+pkg_preinst() {
+	if ! use esd && ! use alsa; then
+		die "You must enable at least one of USE=esd or USE=alsa"
+	fi
+}
+
 src_compile() {
 	local myconf
 



1.11                 x11-plugins/gkrellmss/gkrellmss-2.6.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-plugins/gkrellmss/gkrellmss-2.6.ebuild?rev=1.11&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-plugins/gkrellmss/gkrellmss-2.6.ebuild?rev=1.11&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-plugins/gkrellmss/gkrellmss-2.6.ebuild?r1=1.10&r2=1.11

Index: gkrellmss-2.6.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-plugins/gkrellmss/gkrellmss-2.6.ebuild,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- gkrellmss-2.6.ebuild	11 Jul 2007 20:39:22 -0000	1.10
+++ gkrellmss-2.6.ebuild	28 Jul 2008 14:00:10 -0000	1.11
@@ -1,6 +1,6 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-plugins/gkrellmss/gkrellmss-2.6.ebuild,v 1.10 2007/07/11 20:39:22 mr_bones_ Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-plugins/gkrellmss/gkrellmss-2.6.ebuild,v 1.11 2008/07/28 14:00:10 lack Exp $
 
 inherit gkrellm-plugin
 
@@ -23,6 +23,12 @@
 PLUGIN_SO="src/gkrellmss.so"
 PLUGIN_DOCS="Themes"
 
+pkg_preinst() {
+	if ! use esd && ! use alsa; then
+		die "You must enable at least one of USE=esd or USE=alsa"
+	fi
+}
+
 src_compile() {
 	local myconf
 



1.27                 x11-plugins/gkrellmss/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-plugins/gkrellmss/ChangeLog?rev=1.27&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-plugins/gkrellmss/ChangeLog?rev=1.27&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-plugins/gkrellmss/ChangeLog?r1=1.26&r2=1.27

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-plugins/gkrellmss/ChangeLog,v
retrieving revision 1.26
retrieving revision 1.27
diff -u -r1.26 -r1.27
--- ChangeLog	11 Apr 2008 15:12:26 -0000	1.26
+++ ChangeLog	28 Jul 2008 14:00:10 -0000	1.27
@@ -1,6 +1,11 @@
 # ChangeLog for x11-plugins/gkrellmss
 # Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-plugins/gkrellmss/ChangeLog,v 1.26 2008/04/11 15:12:26 lack Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-plugins/gkrellmss/ChangeLog,v 1.27 2008/07/28 14:00:10 lack Exp $
+
+  28 Jul 2008; Jim Ramsay <lack@g.o> gkrellmss-2.6.ebuild,
+  gkrellmss-2.6-r1.ebuild:
+  Added 'die' if you try to build without at least one of USE=alsa or
+  USE=esd (Bug #233025)
 
 *gkrellmss-2.6-r1 (11 Apr 2008)
 





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in app-editors/zile: ChangeLog zile-2.2.60.ebuild
Next by thread:
gentoo-x86 commit in x11-plugins/gkrellmss: gkrellmss-2.6-r1.ebuild gkrellmss-2.6.ebuild ChangeLog
Previous by date:
gentoo-x86 commit in profiles: ChangeLog use.local.desc
Next by date:
gentoo-x86 commit in x11-plugins/gkrellm-hddtemp: gkrellm-hddtemp-0.2_beta-r1.ebuild ChangeLog


Updated Nov 07, 2011

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.